<?php

/*
Plugin Name: Vote For Plugins
Plugin URI: http://w-shadow.com/
Description: Integrates the plugin rating system from the WordPress.org plugin directory into your Dashboard.
Version: 1.0
Author: Janis Elsts
Author URI: http://w-shadow.com/blog/
*/

if ( is_admin() ){
	if ( class_exists('DOMDocument') && function_exists('curl_exec') ){
		$my_dir = dirname(__FILE__);
		require $my_dir . '/voter-class.php';
		require $my_dir . '/plugin-info-class.php';
		require $my_dir . '/admin.php';
	} else {
		function vfp_warning_notice(){
			echo '<div id="message" class="error"><p>"Vote For Plugins" can\'t run on your site. 
			      This plugin requires PHP 5 or later and the CURL extension.</p></div>';
		}
		add_action('admin_notices', 'vfp_warning_notice');
	}
}

?>